summaryrefslogtreecommitdiff
path: root/gnustep-base/gnustep-back-art
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /gnustep-base/gnustep-back-art
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'gnustep-base/gnustep-back-art')
-rw-r--r--gnustep-base/gnustep-back-art/Manifest5
-rw-r--r--gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild83
-rw-r--r--gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild83
-rw-r--r--gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild83
-rw-r--r--gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild83
-rw-r--r--gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild82
-rw-r--r--gnustep-base/gnustep-back-art/metadata.xml29
7 files changed, 448 insertions, 0 deletions
diff --git a/gnustep-base/gnustep-back-art/Manifest b/gnustep-base/gnustep-back-art/Manifest
new file mode 100644
index 000000000000..f534eb806dcb
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -0,0 +1,5 @@
+DIST gnustep-back-0.25.0.tar.gz 974762 BLAKE2B ef3ef5bf822b2cd96ac8f6256708c275193db9ba2bfe3d669c3a50e1f4ff9bfb1560a0a2ee1c38e58a13e0e3e081548102dd83a06bdf880fe857046d3d7940ef SHA512 38a098e7fe207c902428c05f01ebf0336b33fb9213368038c2513236255723b642fd9576524ad119ee9511c708be21c155eeaaf297e05c6ebdab8e59efe05770
+DIST gnustep-back-0.25.1.tar.gz 974775 BLAKE2B 8050c20f405da340a0f42655ca2b0f43761d60b8ee6eab7ce4bbd5f323f7ab8b59506b0b8c5c057eb8303c0b7efe4d80ab428ca100b319a9b927d74bdb37ddd4 SHA512 0515672c38265499dc3f0be5127053bc7b2478130cac69cb70c29e5887832472dfdcf90b756ab0926ba5967c0be93e041a1f820dc58f973e41b648e08a569656
+DIST gnustep-back-0.26.2.tar.gz 969473 BLAKE2B a16b8663492ca1d59ac1267b3e5421cc14672251c273624e4bcc5e587783968baebfcca020c3f0ccaf73de9c0c43f872a303be4c1ef83c78e1bf102d47f2feea SHA512 99912430425e36b386b3f7bb3a49989c92edd20e3166292e6697c532a7f8ae17682c80bb39fa6177c67bb75bcd9befc44f53874eb5ca1406f51af44b15c9685e
+DIST gnustep-back-0.27.0.tar.gz 972099 BLAKE2B ca3090d743a3bcc0995e7b2bfbb39dd72aac6d3b8b62036a17860306728e58d432d3075918b7d49e7e1930974e5a5ae5e0c2ae3c2c7ebb383e859106cfc1c072 SHA512 0823a50b6719af1a48139fb7d85eb70d7c1ae367d0c0d00007568131b56372063437ae7b464f0314fc1e7f8d25b87e87b58bcc914c27d2d000ff31deea948ab3
+DIST gnustep-back-0.28.0.tar.gz 973776 BLAKE2B c82792d9c2af45a3a81e1e40c9b0afe7b4dde7846cf4e593ec2f3e816196a321efba2d0d40d14795eed01681845bc6b5d75e8828c689961b6ba2db6de5231568 SHA512 9befc654ec431fe2a23baff2bfe848d7e4f32c58ecee877ca9606ba318ba470493469e28a5b3e37ca132f0f1262219ebd2755c3da7b26fbd1b66dddb1514d25c
diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild
new file mode 100644
index 000000000000..40454b1087e6
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnustep-base
+
+DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 ppc sparc x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+ =gnustep-base/gnustep-gui-${PV%.*}*
+ opengl? ( virtual/opengl virtual/glu )
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXmu
+ x11-libs/libXt
+ x11-libs/libXft
+ x11-libs/libXrender
+ >=media-libs/freetype-2.1.9
+
+ >=media-libs/libart_lgpl-2.3
+ >=gnustep-base/mknfonts-0.5-r1
+ media-fonts/dejavu
+
+ !gnustep-base/gnustep-back-cairo
+ !gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/gnustep-back-${PV}
+
+src_configure() {
+ egnustep_env
+
+ myconf="$(use_enable opengl glx)"
+ myconf="$myconf $(use_enable xim)"
+ myconf="$myconf --enable-server=x11"
+ myconf="$myconf --enable-graphics=art"
+
+ econf $myconf
+}
+
+src_compile() {
+ gnustep-base_src_compile
+
+ # Create font lists for DejaVu
+ einfo "Generating nfonts support files"
+ (
+ cd Fonts
+ export "${GS_ENV[@]}"
+ ${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+ $(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+ || die "nfonts support files creation failed"
+ # Trim whitepsaces
+ for fdir in *\ */; do
+ mv "$fdir" `echo $fdir | tr -d [:space:]`
+ done
+ )
+}
+
+src_install() {
+ gnustep-base_src_install
+
+ mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+ cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+}
+
+gnustep_config_script() {
+ echo "echo ' * setting normal font to DejaVuSans'"
+ echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+ echo "echo ' * setting bold font to DejaVuSans-Bold'"
+ echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+ echo "echo ' * setting fixed font to DejaVuSansMono'"
+ echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}
diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild
new file mode 100644
index 000000000000..7e99c2440f4e
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnustep-base
+
+DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+ =gnustep-base/gnustep-gui-${PV%.*}*
+ opengl? ( virtual/opengl virtual/glu )
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXmu
+ x11-libs/libXt
+ x11-libs/libXft
+ x11-libs/libXrender
+ >=media-libs/freetype-2.1.9
+
+ >=media-libs/libart_lgpl-2.3
+ >=gnustep-base/mknfonts-0.5-r1
+ media-fonts/dejavu
+
+ !gnustep-base/gnustep-back-cairo
+ !gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/gnustep-back-${PV}
+
+src_configure() {
+ egnustep_env
+
+ myconf="$(use_enable opengl glx)"
+ myconf="$myconf $(use_enable xim)"
+ myconf="$myconf --enable-server=x11"
+ myconf="$myconf --enable-graphics=art"
+
+ econf $myconf
+}
+
+src_compile() {
+ gnustep-base_src_compile
+
+ # Create font lists for DejaVu
+ einfo "Generating nfonts support files"
+ (
+ cd Fonts
+ export "${GS_ENV[@]}"
+ ${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+ $(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+ || die "nfonts support files creation failed"
+ # Trim whitepsaces
+ for fdir in *\ */; do
+ mv "$fdir" `echo $fdir | tr -d [:space:]`
+ done
+ )
+}
+
+src_install() {
+ gnustep-base_src_install
+
+ mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+ cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+}
+
+gnustep_config_script() {
+ echo "echo ' * setting normal font to DejaVuSans'"
+ echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+ echo "echo ' * setting bold font to DejaVuSans-Bold'"
+ echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+ echo "echo ' * setting fixed font to DejaVuSansMono'"
+ echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}
diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild
new file mode 100644
index 000000000000..d178338f8d18
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnustep-base
+
+DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+ =gnustep-base/gnustep-gui-${PV%.*}*
+ opengl? ( virtual/opengl virtual/glu )
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXmu
+ x11-libs/libXt
+ x11-libs/libXft
+ x11-libs/libXrender
+ >=media-libs/freetype-2.1.9
+
+ >=media-libs/libart_lgpl-2.3
+ >=gnustep-base/mknfonts-0.5-r1
+ media-fonts/dejavu
+
+ !gnustep-base/gnustep-back-cairo
+ !gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/gnustep-back-${PV}
+
+src_configure() {
+ egnustep_env
+
+ myconf="$(use_enable opengl glx)"
+ myconf="$myconf $(use_enable xim)"
+ myconf="$myconf --enable-server=x11"
+ myconf="$myconf --enable-graphics=art"
+
+ econf $myconf
+}
+
+src_compile() {
+ gnustep-base_src_compile
+
+ # Create font lists for DejaVu
+ einfo "Generating nfonts support files"
+ (
+ cd Fonts
+ export "${GS_ENV[@]}"
+ ${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+ $(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+ || die "nfonts support files creation failed"
+ # Trim whitepsaces
+ for fdir in *\ */; do
+ mv "$fdir" `echo $fdir | tr -d [:space:]`
+ done
+ )
+}
+
+src_install() {
+ gnustep-base_src_install
+
+ mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+ cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+}
+
+gnustep_config_script() {
+ echo "echo ' * setting normal font to DejaVuSans'"
+ echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+ echo "echo ' * setting bold font to DejaVuSans-Bold'"
+ echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+ echo "echo ' * setting fixed font to DejaVuSansMono'"
+ echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}
diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild
new file mode 100644
index 000000000000..cc8e689b3cec
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnustep-base
+
+DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+ =gnustep-base/gnustep-gui-${PV%.*}*
+ opengl? ( virtual/opengl virtual/glu )
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXmu
+ x11-libs/libXt
+ x11-libs/libXft
+ x11-libs/libXrender
+ >=media-libs/freetype-2.1.9
+
+ >=media-libs/libart_lgpl-2.3
+ >=gnustep-base/mknfonts-0.5-r1
+ media-fonts/dejavu
+
+ !gnustep-base/gnustep-back-cairo
+ !gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/gnustep-back-${PV}
+
+src_configure() {
+ egnustep_env
+
+ myconf="$(use_enable opengl glx)"
+ myconf="$myconf $(use_enable xim)"
+ myconf="$myconf --enable-server=x11"
+ myconf="$myconf --enable-graphics=art"
+
+ econf $myconf
+}
+
+src_compile() {
+ gnustep-base_src_compile
+
+ # Create font lists for DejaVu
+ einfo "Generating nfonts support files"
+ (
+ cd Fonts
+ export "${GS_ENV[@]}"
+ ${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+ $(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+ || die "nfonts support files creation failed"
+ # Trim whitepsaces
+ for fdir in *\ */; do
+ mv "$fdir" `echo $fdir | tr -d [:space:]`
+ done
+ )
+}
+
+src_install() {
+ gnustep-base_src_install
+
+ mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+ cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+}
+
+gnustep_config_script() {
+ echo "echo ' * setting normal font to DejaVuSans'"
+ echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+ echo "echo ' * setting bold font to DejaVuSans-Bold'"
+ echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+ echo "echo ' * setting fixed font to DejaVuSansMono'"
+ echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}
diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
new file mode 100644
index 000000000000..8f304a0a86dc
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnustep-base
+
+DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+ =gnustep-base/gnustep-gui-${PV%.*}*
+ >=gnustep-base/mknfonts-0.5-r1
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXmu
+ x11-libs/libXt
+ x11-libs/libXft
+ x11-libs/libXrender
+ media-fonts/dejavu
+ >=media-libs/freetype-2.1.9
+ >=media-libs/libart_lgpl-2.3
+ opengl? ( virtual/opengl virtual/glu )
+
+ !gnustep-base/gnustep-back-cairo
+ !gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/gnustep-back-${PV}
+
+src_configure() {
+ egnustep_env
+
+ myconf="$(use_enable opengl glx)"
+ myconf="$myconf $(use_enable xim)"
+ myconf="$myconf --enable-server=x11"
+ myconf="$myconf --enable-graphics=art"
+
+ econf $myconf
+}
+
+src_compile() {
+ gnustep-base_src_compile
+
+ # Create font lists for DejaVu
+ einfo "Generating nfonts support files"
+ (
+ cd Fonts
+ export "${GS_ENV[@]}"
+ ${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+ $(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+ || die "nfonts support files creation failed"
+ # Trim whitepsaces
+ for fdir in *\ */; do
+ mv "$fdir" `echo $fdir | tr -d [:space:]`
+ done
+ )
+}
+
+src_install() {
+ gnustep-base_src_install
+
+ mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+ cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+}
+
+gnustep_config_script() {
+ echo "echo ' * setting normal font to DejaVuSans'"
+ echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+ echo "echo ' * setting bold font to DejaVuSans-Bold'"
+ echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+ echo "echo ' * setting fixed font to DejaVuSansMono'"
+ echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}
diff --git a/gnustep-base/gnustep-back-art/metadata.xml b/gnustep-base/gnustep-back-art/metadata.xml
new file mode 100644
index 000000000000..913ddc27cbd7
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/metadata.xml
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>gnustep@gentoo.org</email>
+ <name>Gentoo GNUstep Project</name>
+</maintainer>
+<longdescription>
+It is a back-end component for the GNUstep GUI Library. The
+implementation of the GNUstep GUI Library is designed in two parts. The
+first part is the front-end component which is independent of platform
+and display system. This front-end is combined with a back-end
+component which handles all of the display system dependent such as
+specific calls to the X Window System. This design allows the GNUstep
+applications to have the "look and feel" of the underlying display
+system without any changes to the application, and the library can be
+easily ported to other display systems.
+
+The GNUstep GUI Backend is for platforms using the X-Window System or
+Window's Systems. It works via a DPS emulation engine to emulate the
+DPS functions required by the front-end system.
+
+This package installs a backend that supports libart_lgpl.
+</longdescription>
+<use>
+ <flag name="xim">Enable X11 XiM input method</flag>
+</use>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>